


for id_t = 2:total_time 
    % Update the network
    InteractionNetwork = BEBA_UpdateNetwork(Opinions(:, id_t-1), AgentParameters, InteractionNetwork);

    % Update the opinions
    Opinions(:,id_t) = BEBA_UpdateOpinion(Opinions(:, id_t-1), InteractionNetwork);
end









